Subject: mips-tfile and gcc.

From: "Steven Liu" <[email-masked]>
Date: Wed, 28 Feb 2001 05:56:28 -0800

Hi, All:

I have just got a problem when I egcs-1.1.2 for MIPS R3000 under i386. I did the following.

./configure --prefix=/root/liumips/ --with-newlib --target=mips-linux
make SUBDIRS="libiberty textinfo gcc" ALLTARGET_MODULES= CONFIGURE_TARGET_MODULES= INSTALL_TARGET_MODULES= LANGUAGES="c"

Here is what I got.

cp xgcc gcc-cross
/root/liumips/egcs-1.1.2/gcc/xgcc -B/root/liumips/egcs-1.1.2/gcc/ -dumpspecs > tmp-specs
mv tmp-specs specs
if [ -f libgcc2.ready ] ; then \
 true; \
else \
 touch libgcc2.ready; \
fi
rm -f tmplibgcc2.a
for name in _muldi3 _divdi3 _moddi3 _udivdi3 _umoddi3 _negdi2 _lshrdi3 _ashldi3 _ashrdi3 _ffsdi2 _udiv_w_sdiv _udivmoddi4 _cmpdi2 _ucmpdi2 _floatdidf _floatdisf _fixunsdfsi _fixunssfsi _fixunsdfdi _fixdfdi _fixunssfdi _fixsfdi _fixxfdi _fixunsxfdi _floatdixf _fixunsxfsi _fixtfdi _fixunstfdi _floatditf __gcc_bcmp _varargs __dummy _eprintf _bb _shtab _clear_cache _trampoline __main _exit _ctors _pure; \
do \
  echo ${name}; \
  /root/liumips/egcs-1.1.2/gcc/xgcc -B/root/liumips/egcs-1.1.2/gcc/ -O2  -DCROSS_COMPILE -DIN_GCC    -g -O2 -I./include   -g1  -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED -Dinhibit_libc  -I. -I. -I./config -c -DL${name} \
      ./libgcc2.c -o ${name}.o; \
  if [ $? -eq 0 ] ; then true; else exit 1; fi; \
  mips-linux-ar rc tmplibgcc2.a ${name}.o; \
  rm -f ${name}.o; \
done
_muldi3
xgcc: installation problem, cannot exec `mips-tfile': No such file or directory
make[1]: *** [libgcc2.a] Error 1
make[1]: Leaving directory `/root/liumips/egcs-1.1.2/gcc'
make: *** [all-gcc] Error 2

Thank you.

Steven Liu